
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>快速选择算法 / 憋错料</title>

    <meta name="description" content="快速选择算法 利用快速排序的思想,选择第k大(或小)的数. 具体地,利用快速排序的划分思想,每次将数组划分为两部分,确定该第k大(或小)的元素在哪一个部分,然后对该部分递归进行划分,直到找到第k大(或小)的元素.快速排序期望时间复杂度为O(n log n),快速选择算法期望时间复杂度为O(n). 关于枢纽元的选择: 选取第一个或最后一个元素,一般做法. 三数取中值法.取首.中.尾3个位置的元素的中间值,并将该中间值交换至第一个或最后一个元素,继续同1进行排序. 中位数的中位数法. 将所有元素进行组分,如每5个">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">快速选择算法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>利用快速排序的思想，选择第k大（或小）的数。</p>
<p>具体地，利用快速排序的划分思想，每次将数组划分为两部分，确定该第k大（或小）的元素在哪一个部分，然后对该部分递归进行划分，直到找到第k大（或小）的元素。快速排序期望时间复杂度为O(n log n)，快速选择算法期望时间复杂度为O(n)。</p>
<p>关于枢纽元的选择：</p>
<ol>
<li>选取第一个或最后一个元素，一般做法。</li>
<li>三数取中值法。取首、中、尾3个位置的元素的中间值，并将该中间值交换至第一个或最后一个元素，继续同1进行排序。</li>
<li>中位数的中位数法。</li>
<ol>
<li>将所有元素进行组分，如每5个为一组，可分为[n/5]组。</li>
<li>对每个组进行排序，并得到该组的中位数。</li>
<li>递归调用步骤 a, b 直到获得最终的中位数。</li>
</ol>
</ol>
<p>快速选择算法的一个实现：（三值取中值法）</p>
<pre> 1 package com.yan.algorithmTest;
 2
 3 /**
 4  * quick select algorithm which is very similar to quick sort algorithm.
 5  * it suffers the average complication of O(n), while quick sort algorithm suffers O(n log n).
 6  * @author Yan
 7  *
 8  */
 9 public class QuickSelectTest {
10     private static int[] data = new int[] { 5, 3, 4, 6, 2, 1, 7, 8, 10, 9 };
11     private static int k = 4;
12
13     public QuickSelectTest() {
14     }
15
16     public static void main(String[] args) {
17         int result = quickSelect(data, k, 0, data.length - 1);
18         System.out.println(result);
19     }
20
21     public static int quickSelect(int[] data, int k, int start, int end) {
22         if (k &gt; data.length || start &gt; end) {
23             return -1;
24         }
25         /*
26          * 与quick sort 相同的partition算法（分割算法）。
27          */
28         int pivot = end;
29         int left = start;
30         int right = end;
31         while (left &lt; right) {
32             while (data[left] &lt;= data[pivot] &amp;&amp; left &lt; right) {
33                 left++;
34             }
35             while (data[right] &gt;= data[pivot] &amp;&amp; left &lt; right) {
36                 right--;
37             }
38             swap(data, left, right);
39         }
40         swap(data, left, pivot);
41         /*
42          * 与快速排序相同，只是在recurse时，多了两个判断，即k的判断。因此，只有一个递归调用会执行。 相较于快速排序的期望时间复杂度O(n
43          * log n)，快速选择的期望时间复杂度为O(n)。
44          */
45         if (k - 1 &gt; left) {
46             quickSelect(data, k, left + 1, end);
47         }
48         if (k - 1 &lt; left) {
49             quickSelect(data, k, start, left - 1);
50         }
51
52         return data[k - 1];
53     }
54
55     /*
56      * median-of-three，三值取中值法，获取首、中、尾三者中得中间值，并与枢纽元pivot，即尾（或首）交换。
57      */
58     public static void medianPivot(int[] data, int start, int end) {
59         int center = (start + end) &gt;&gt; 1;
60         if (data[start] &gt; data[center]) {
61             swap(data, start, center);
62         }
63         if (data[center] &gt; data[end]) {
64             swap(data, end, center);
65         }
66         if (data[start] &gt; data[end]) {
67             swap(data, end, start);
68         }
69         swap(data, end, center);
70     }
71
72     public static void swap(int[] data, int x, int y) {
73         int temp = data[x];
74         data[x] = data[y];
75         data[y] = temp;
76     }
77 }</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 11:10:05 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>快速选择算法的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZVZBd3.html" rel="bookmark">求一无序数组中第n大的数字 - 快速选择算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				逛别人博客的时候,偶然看到这一算法题,顺便用C++实现了一下. 最朴素的解法就是先对数组进行排序,返回第n个数即可.. 下面代码中用的是快速选择算法(不晓得这名字对不对) 1 #include &lt;vector&gt; 2 #include &lt;iostream&gt; 3 #include &lt;stdexcept&gt; 4 #include &lt;cstdio&gt; 5 6 const int QS_EERRMSG_LEN = 256; 7 8 9 /** 10 * 快速选择求无序数组			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KkKz90.html" rel="bookmark">经典算法之快速选择算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相信快速排序算法这种经典的算法大家并不陌生.但是基于快速算法的各种变形,你了解吗? 其中很重要的一种变形就是快速选择算法, 通常用来在未排序的数组中寻找第k小/第k大的元素.快速选择及其变种是实际应用中最常使用的高效选择算法. 快速选择的总体思路与快速排序一致,选择一个元素作为基准来对元素进行分区,将小于和大于基准的元素分在基准左边和右边的两个区域.不同的是,快速选择并不递归访问双边,而是只递归进入一边的元素中继续寻找.这降低了平均时间复杂度,从O(n log n)至O(n),不过最坏情况仍然是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rEQJl0.html" rel="bookmark">快速选择select算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述: 在一个数组中找出第k小的数. 算法: 快速选择select算法. 策略:五分化中项的中项做pivot 复杂度:最坏情况下O(n) 对比: 1.RANDOMIZED-SELECT,以序列中随机选取一个元素作为主元,可达到线性期望时间O(N)的复杂度. 2.SELECT,快速选择算法,以序列中&quot;五分化中项的中项&quot;,或&quot;中位数的中位数&quot;作为主元(枢纽元),在最坏情况下亦为O(N)的复杂度. 代码实现: #pragma once #include&lt;iost			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pve7K0.html" rel="bookmark">查找第K小的数 BFPRT算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				BFPRT算法是解决从n个数中选择第k大或第k小的数这个经典问题的著名算法,但很多人并不了解其细节.本文将首先介绍求解这个第k小数字问题的几个思路,然后重点介绍在最坏情况下复杂度仍然为O(n)的BFPRT算法. 一 基本思路 关于选择第k小的数有许多方法 将n个数排序(比如快速排序或归并排序),选取排序后的第k个数,时间复杂度为O(nlogn). 维护一个k个元素的最大堆,存储当前遇到的最小的k个数,时间复杂度为O(nlogk).这种方法同样适用于海量数据的处理. 部分的快速排序(快速选择算法)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MX7E2k4.html" rel="bookmark">快速选择&lpar;quick&lowbar;select&rpar; 算法分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				快速选择算法,就是从给定的一个集合S={a1,a2,...an}中选出第K个大小的数,或者给出其所在的下标之类的. 如果使用排序,比如merge_sort,然后返回第K个元素的下标,复杂度是O(NlogN) 如果使用heap_sort,或者优先队列,则复杂度是O(NlogK) 如果使用quick _sort的一个变种,叫 quick select,则平均复杂度为O(N),最坏复杂度为O(N^2) 如果使用一种线性选择算法,则可以达到最坏O(N)的复杂度,不过实际应用中,该算法通常比quick s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBb7gKM.html" rel="bookmark">普林斯顿大学算法课 Algorithm Part I Week 3 求第K大数 Selection</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题 给定N个元素的数组,求第k大的数. 特例当k=0时,就是求最大值,当k=N-1时,就是求最小值. 应用顺序统计求top N排行榜 基本思想 使用快速排序方法中的分区思想,使得a[k]左侧没有更小的数,右侧没有更大的数 性能 快速选择算法的复杂度是N. 最坏情况下的复杂度是1/2N^2,但是可以通过预先洗牌来防止出现最坏情况 public static Comparable select(Comparable[] a, int k) { StdRandom.shuffle(a); int l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3v1zbj0.html" rel="bookmark">普林斯顿公开课  算法3-2：求第k大的数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题 给定N个元素的数组,求第k大的数. 特例 当k=0时,就是求最大值,当k=N-1时,就是求最小值. 应用 顺序统计 求top N排行榜 基本思想 使用快速排序方法中的分区思想,使得a[k]左侧没有更小的数,右侧没有更大的数 性能 快速选择算法的复杂度是N. 最坏情况下的复杂度是1/2N^2,但是可以通过预先洗牌来防止出现最坏情况 代码 public class QuickSort { // 对区间 [start, end) 进行分区 public static int partition(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBXVXj3.html" rel="bookmark">选择排序算法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				选择算法 选择算法之选取最大数或最小数 选取最大数或最小数代码实现 选择算法之选取最大数和最小数 选取最大数和最小数代码实现 选取最大数和最小数代码优化 快速选择算法 快速选择算法分析 快速选择算法编码实现 快速选择算法代码优化 BFPRT选择算法 BFPRT选择算法主元选择 BFPRT选择算法性能分析 BFPRT选择算法代码实现 注:本文中的所有代码都在这里 选择算法 选择算法就是用来解决在一堆数里面选出第k大的数的问题.选择算法的设计方法有很多,比如将这堆数据先进行排序,然后取出对应的第k个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wePQjM.html" rel="bookmark">快速排序以及堆排序在查找数方面的主要应用 即将引出线性查找BFPRT算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;span style=&quot;font-size: 13.3333px;&quot;&gt;&lt;span style=&quot;font-size: 13.3333px;&quot;&gt;应用解释:要求找出一组数中的第n大的数字&lt;/span&gt;&lt;/span&gt; &lt;span style=&quot;font-size: 13.3333px;&quot;&gt;1.快速排序改进-1(快速选择算法)&lt;/span&gt;&lt;p style=&quot;fon			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/QM661ZM.html" rel="bookmark" class="title">使用Python定制词云</a>
					<div>
						一.实验介绍 1.1 实验内容 在互联网时代,人们获取信息的途径多种多样,大量的信息涌入到人们的视线中.如何从浩如烟海的信息中提炼出关键信息,滤除垃圾信息,一直是现代人关注的问题.在这个信息爆炸的时代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MywoQj3.html" rel="bookmark" class="title">&sol;C&plus;&plus;程序员面试秘籍</a>
					<div>
						1.函数返回的参数引用 [cpp] view plaincopy #include &quot;stdafx.h&quot; #include &lt;iostream&gt; #include &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mzajq84.html" rel="bookmark" class="title">Assignment5&colon; 使用Visual Studio 进行可编码的UI测试</a>
					<div>
						一.实验目的: 使用Visual Studio 可编码的UI测试功能创作自动化测试 二.实验原理:黑盒测试 三.实验需求:win8 app.Visual Studio Ultimate 2012/20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vELrR0.html" rel="bookmark" class="title">LOG4J&period;PROPERTIES配置详解（转载）</a>
					<div>
						Log4J的配置文件(Configuration File)就是用来设置记录器的级别.存放器和布局的,它可接key=value格式的设置或xml格式的设置信息.通过配置,可以创建出Log4J的运行环境 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R8YO74.html" rel="bookmark" class="title">Python自动化开发，Day9 - Socket网络编程</a>
					<div>
						本章内容 Socket介绍 Socket参数介绍 基本Socket实例 Socket实现多连接处理 通过Socket实现简单SSH 通过Socket实现文件传送 一.Socket介绍 socket通常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2jr93.html" rel="bookmark" class="title">mysql颠覆实战笔记&lpar;八&rpar;--mysql的自定义异常处理怎么破</a>
					<div>
						这一节课,沈老师带我们了解事务的异常 什么是异常? 我们先插入一组数据: insert into user_balance(user_id,user_money) values (3,10.5); 这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rvwy73.html" rel="bookmark" class="title">Standard C 语言标准函数库介绍</a>
					<div>
						全面巩固所知所学,往精通方向迈进! Standard C 语言标准函数库速查 (Cheat Sheet) from:http://ganquan.info/standard-c/function/ C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME871Z4.html" rel="bookmark" class="title">phpstorm  学习开始</a>
					<div>
						转行学习PHPSTORM,一步一个脚印,学习php相关的课程. &lt;font color=&quot;blue&quot; face=&quot;行楷&quot; size=&quot;6&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4ARgxdM.html" rel="bookmark" class="title">Docker容器的数据管理</a>
					<div>
						Docker容器的数据管理 什么是数据卷(Data Volume)? 数据卷是经过特殊设计的目录,可以绕过联合文件系统(UFS),为一个或者多个容器提供访问 数据卷设计的目的,在于数据的永久化,它完全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aO8ZA4.html" rel="bookmark" class="title">&lbrack;Linux&rsqb;Linux下redis的安装及配置&period;</a>
					<div>
						在上一篇[Linux] linux下安装配置 zookeeper/redis/solr/tomcat/IK分词器 详细实例. 我们已经将redis所需tar包拷贝到了linux下的root 根目录下, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v5pvL0.html" rel="bookmark" class="title">MyEclipse中new菜单选项问题</a>
					<div>
						-20150808 1.首先看一下自己的new菜单选项是否变成这样了 2.如果是请检查自己项目的类型(右上角),是否变成了其他的形式 3.点击小三角符号,换回来就可以了 ----JAVA程序开发选择第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/382x9AM.html" rel="bookmark" class="title">【BZOJ】【2693】JZPTAB</a>
					<div>
						莫比乌斯反演 PoPoQQQ讲义第5题,是BZOJ 2154的升级版(多次询问) 题解:http://blog.csdn.net/popoqqq/article/details/42078725 WA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ekayE4.html" rel="bookmark" class="title">【转】解决response&period;AddHeader&lpar;&amp;quot&semi;Content-Disposition&amp;quot&semi;&comma; &amp;quot&semi;attachment&semi; fileName&equals;&amp;quot&semi; &plus; fileName&rpar; 中文显示乱码</a>
					<div>
						如果fileName为中文则乱码.解决办法是 方法1: response.setHeader(&quot;Content-Disposition&quot;, &quot;attachment; fi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KjjKOM.html" rel="bookmark" class="title">电商大数据平台运维案例</a>
					<div>
						技术栈 数据流向 平台规模差异化,隔离化 YARN: https://baike.baidu.com/item/yarn/16075826?fr=aladdin 今天先到这儿,希望对您在系统架构设计与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YQwqO0.html" rel="bookmark" class="title">jenkins 重新设置 管理员密码</a>
					<div>
						由于服务器瘫痪,修好之后经常不上,就把jenkins的管理密码忘掉了. 查阅了网上所有方案之后发现没有一个 能正确修改密码的,特此列出下列网上的方法 第一.设成无需密码验证的(网上有教程,不过并不能修 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rabGb0.html" rel="bookmark" class="title">ATM深化（1）</a>
					<div>
						package com.lovo.bean; import java.util.Scanner; //ATM机public class ATMMachine { // 用户信息 private Use ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41ynjX4.html" rel="bookmark" class="title">最大连接数的配置</a>
					<div>
						在使用MySQL数据库的时候,经常会遇到这么一个问题,就是“Can not connect to MySQL server. Too many connections”-mysql 1040错误,这是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l98ZN3.html" rel="bookmark" class="title">oracle 开发 第2章 查询</a>
					<div>
						2016-01-05 1.选择列 select customer_id,first_name,last_name,dob,phone from customers; select * from cus ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3raKQg0.html" rel="bookmark" class="title">HtmlUnit解析document时js不能拿到body对象问题解决</a>
					<div>
						login.html &lt;html&gt;     &lt;head&gt;         &lt;meta http-equiv=&quot;Content-Type&quot; conten ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0baWaVM.html" rel="bookmark" class="title">Spark Task未序列化&lpar;Task not serializable&rpar;问题分析</a>
					<div>
						问题描述及原因分析 在编写Spark程序中,由于在map等算子内部使用了外部定义的变量和函数,从而引发Task未序列化问题.然而,Spark算子在计算过程中使用外部变量在许多情形下确实在所难免,比如在 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
